<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg12.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql12.php") ?>
<?php include_once "phpfn12.php" ?>
<?php include_once "seguimiento_individual3info.php" ?>
<?php include_once "ficha_usuarioinfo.php" ?>
<?php include_once "registroinfo.php" ?>
<?php include_once "userfn12.php" ?>
<?php

//
// Page class
//

$seguimiento_individual3_delete = NULL; // Initialize page object first

class cseguimiento_individual3_delete extends cseguimiento_individual3 {

	// Page ID
	var $PageID = 'delete';

	// Project ID
	var $ProjectID = "{43FC4B6C-8131-46B1-916C-14DB52B1691D}";

	// Table name
	var $TableName = 'seguimiento_individual3';

	// Page object name
	var $PageObjName = 'seguimiento_individual3_delete';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsHttpPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		global $UserTable, $UserTableConn;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (seguimiento_individual3)
		if (!isset($GLOBALS["seguimiento_individual3"]) || get_class($GLOBALS["seguimiento_individual3"]) == "cseguimiento_individual3") {
			$GLOBALS["seguimiento_individual3"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["seguimiento_individual3"];
		}

		// Table object (ficha_usuario)
		if (!isset($GLOBALS['ficha_usuario'])) $GLOBALS['ficha_usuario'] = new cficha_usuario();

		// Table object (registro)
		if (!isset($GLOBALS['registro'])) $GLOBALS['registro'] = new cregistro();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'delete', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'seguimiento_individual3', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect($this->DBID);

		// User table object (ficha_usuario)
		if (!isset($UserTable)) {
			$UserTable = new cficha_usuario();
			$UserTableConn = Conn($UserTable->DBID);
		}
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loading();
		$Security->LoadCurrentUserLevel($this->ProjectID . $this->TableName);
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loaded();
		if (!$Security->CanDelete()) {
			$Security->SaveLastUrl();
			$this->setFailureMessage(ew_DeniedMsg()); // Set no permission
			if ($Security->CanList())
				$this->Page_Terminate(ew_GetUrl("seguimiento_individual3list.php"));
			else
				$this->Page_Terminate(ew_GetUrl("login.php"));
		}
		if ($Security->IsLoggedIn()) {
			$Security->UserID_Loading();
			$Security->LoadUserID();
			$Security->UserID_Loaded();
		}
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action
		$this->Id->Visible = !$this->IsAdd() && !$this->IsCopy() && !$this->IsGridAdd();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $seguimiento_individual3;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($seguimiento_individual3);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		 // Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter = "";
	var $DbDetailFilter = "";
	var $StartRec;
	var $TotalRecs = 0;
	var $RecCnt;
	var $RecKeys = array();
	var $Recordset;
	var $StartRowCnt = 1;
	var $RowCnt = 0;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Set up master/detail parameters
		$this->SetUpMasterParms();

		// Set up Breadcrumb
		$this->SetupBreadcrumb();

		// Load key parameters
		$this->RecKeys = $this->GetRecordKeys(); // Load record keys
		$sFilter = $this->GetKeyFilter();
		if ($sFilter == "")
			$this->Page_Terminate("seguimiento_individual3list.php"); // Prevent SQL injection, return to list

		// Set up filter (SQL WHHERE clause) and get return SQL
		// SQL constructor in seguimiento_individual3 class, seguimiento_individual3info.php

		$this->CurrentFilter = $sFilter;

		// Get action
		if (@$_POST["a_delete"] <> "") {
			$this->CurrentAction = $_POST["a_delete"];
		} else {
			$this->CurrentAction = "D"; // Delete record directly
		}
		if ($this->CurrentAction == "D") {
			$this->SendEmail = TRUE; // Send email on delete success
			if ($this->DeleteRows()) { // Delete rows
				if ($this->getSuccessMessage() == "")
					$this->setSuccessMessage($Language->Phrase("DeleteSuccess")); // Set up success message
				$this->Page_Terminate($this->getReturnUrl()); // Return to caller
			} else { // Delete failed
				$this->Page_Terminate($this->getReturnUrl()); // Return to caller
			}
		}
		if ($this->CurrentAction == "I") { // Load records for display
			if ($this->Recordset = $this->LoadRecordset())
				$this->TotalRecs = $this->Recordset->RecordCount(); // Get record count
			if ($this->TotalRecs <= 0) { // No record found, exit
				if ($this->Recordset)
					$this->Recordset->Close();
				$this->Page_Terminate("seguimiento_individual3list.php"); // Return to list
			}
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {

		// Load List page SQL
		$sSql = $this->SelectSQL();
		$conn = &$this->Connection();

		// Load recordset
		$dbtype = ew_GetConnectionType($this->DBID);
		if ($this->UseSelectLimit) {
			$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
			if ($dbtype == "MSSQL") {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset, array("_hasOrderBy" => trim($this->getOrderBy()) || trim($this->getSessionOrderBy())));
			} else {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset);
			}
			$conn->raiseErrorFn = '';
		} else {
			$rs = ew_LoadRecordset($sSql, $conn);
		}

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->Id->setDbValue($rs->fields('Id'));
		$this->Id_Registro->setDbValue($rs->fields('Id_Registro'));
		$this->Codigo_Eps->setDbValue($rs->fields('Codigo_Eps'));
		$this->Tipo_regimen->setDbValue($rs->fields('Tipo_regimen'));
		$this->Codigo_Ips->setDbValue($rs->fields('Codigo_Ips'));
		$this->Fecha_Confirmatorio->setDbValue($rs->fields('Fecha_Confirmatorio'));
		$this->Escolaridad->setDbValue($rs->fields('Escolaridad'));
		$this->Estado_Civil->setDbValue($rs->fields('Estado_Civil'));
		$this->Fecha_Nacimiento->setDbValue($rs->fields('Fecha_Nacimiento'));
		$this->Estadio->setDbValue($rs->fields('Estadio'));
		$this->Primera_Carga_Viral->setDbValue($rs->fields('Primera_Carga_Viral'));
		$this->Numero_Carga_Viral->setDbValue($rs->fields('Numero_Carga Viral'));
		$this->Fecha_Primera_Carga_Viral->setDbValue($rs->fields('Fecha_Primera_Carga_Viral'));
		$this->CD4->setDbValue($rs->fields('CD4'));
		$this->Fecha_CD4->setDbValue($rs->fields('Fecha_CD4'));
		$this->adherencia->setDbValue($rs->fields('adherencia'));
		$this->Tratamiento_Antirretroviral->setDbValue($rs->fields('Tratamiento_Antirretroviral'));
		$this->Descripcion_antirretroviral->setDbValue($rs->fields('Descripcion_antirretroviral'));
		$this->Cambio_Esquema->setDbValue($rs->fields('Cambio_Esquema'));
		$this->Porque_No_Antirretroviral->setDbValue($rs->fields('Porque_No_Antirretroviral'));
		$this->Porque_no_adherente->setDbValue($rs->fields('Porque_no_adherente'));
		$this->Valor_ultima_cargaviral->setDbValue($rs->fields('Valor_ultima_cargaviral'));
		$this->Fecha_Ultima_Cargaviral->setDbValue($rs->fields('Fecha_Ultima_Cargaviral'));
		$this->Estado_Final->setDbValue($rs->fields('Estado_Final'));
		$this->Cambio_Municipio->setDbValue($rs->fields('Cambio_Municipio'));
		$this->Observaciones->setDbValue($rs->fields('Observaciones'));
		$this->Primer_Nombre->setDbValue($rs->fields('Primer_Nombre'));
		$this->Segundo_Nombre->setDbValue($rs->fields('Segundo_Nombre'));
		$this->Primer_Apellido->setDbValue($rs->fields('Primer_Apellido'));
		$this->Segundo_Apellido->setDbValue($rs->fields('Segundo_Apellido'));
		$this->Registrado_Por->setDbValue($rs->fields('Registrado_Por'));
		$this->Documento->setDbValue($rs->fields('Documento'));
		$this->Fecha_dig->setDbValue($rs->fields('Fecha_dig'));
		$this->CD3->setDbValue($rs->fields('CD3'));
		$this->CD8->setDbValue($rs->fields('CD8'));
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF) return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->Id->DbValue = $row['Id'];
		$this->Id_Registro->DbValue = $row['Id_Registro'];
		$this->Codigo_Eps->DbValue = $row['Codigo_Eps'];
		$this->Tipo_regimen->DbValue = $row['Tipo_regimen'];
		$this->Codigo_Ips->DbValue = $row['Codigo_Ips'];
		$this->Fecha_Confirmatorio->DbValue = $row['Fecha_Confirmatorio'];
		$this->Escolaridad->DbValue = $row['Escolaridad'];
		$this->Estado_Civil->DbValue = $row['Estado_Civil'];
		$this->Fecha_Nacimiento->DbValue = $row['Fecha_Nacimiento'];
		$this->Estadio->DbValue = $row['Estadio'];
		$this->Primera_Carga_Viral->DbValue = $row['Primera_Carga_Viral'];
		$this->Numero_Carga_Viral->DbValue = $row['Numero_Carga Viral'];
		$this->Fecha_Primera_Carga_Viral->DbValue = $row['Fecha_Primera_Carga_Viral'];
		$this->CD4->DbValue = $row['CD4'];
		$this->Fecha_CD4->DbValue = $row['Fecha_CD4'];
		$this->adherencia->DbValue = $row['adherencia'];
		$this->Tratamiento_Antirretroviral->DbValue = $row['Tratamiento_Antirretroviral'];
		$this->Descripcion_antirretroviral->DbValue = $row['Descripcion_antirretroviral'];
		$this->Cambio_Esquema->DbValue = $row['Cambio_Esquema'];
		$this->Porque_No_Antirretroviral->DbValue = $row['Porque_No_Antirretroviral'];
		$this->Porque_no_adherente->DbValue = $row['Porque_no_adherente'];
		$this->Valor_ultima_cargaviral->DbValue = $row['Valor_ultima_cargaviral'];
		$this->Fecha_Ultima_Cargaviral->DbValue = $row['Fecha_Ultima_Cargaviral'];
		$this->Estado_Final->DbValue = $row['Estado_Final'];
		$this->Cambio_Municipio->DbValue = $row['Cambio_Municipio'];
		$this->Observaciones->DbValue = $row['Observaciones'];
		$this->Primer_Nombre->DbValue = $row['Primer_Nombre'];
		$this->Segundo_Nombre->DbValue = $row['Segundo_Nombre'];
		$this->Primer_Apellido->DbValue = $row['Primer_Apellido'];
		$this->Segundo_Apellido->DbValue = $row['Segundo_Apellido'];
		$this->Registrado_Por->DbValue = $row['Registrado_Por'];
		$this->Documento->DbValue = $row['Documento'];
		$this->Fecha_dig->DbValue = $row['Fecha_dig'];
		$this->CD3->DbValue = $row['CD3'];
		$this->CD8->DbValue = $row['CD8'];
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// Id
		// Id_Registro
		// Codigo_Eps
		// Tipo_regimen
		// Codigo_Ips
		// Fecha_Confirmatorio
		// Escolaridad
		// Estado_Civil
		// Fecha_Nacimiento
		// Estadio
		// Primera_Carga_Viral

		$this->Primera_Carga_Viral->CellCssStyle = "white-space: nowrap;";

		// Numero_Carga Viral
		// Fecha_Primera_Carga_Viral
		// CD4
		// Fecha_CD4
		// adherencia
		// Tratamiento_Antirretroviral
		// Descripcion_antirretroviral
		// Cambio_Esquema
		// Porque_No_Antirretroviral
		// Porque_no_adherente
		// Valor_ultima_cargaviral
		// Fecha_Ultima_Cargaviral
		// Estado_Final
		// Cambio_Municipio
		// Observaciones
		// Primer_Nombre
		// Segundo_Nombre
		// Primer_Apellido
		// Segundo_Apellido
		// Registrado_Por
		// Documento
		// Fecha_dig
		// CD3

		$this->CD3->CellCssStyle = "white-space: nowrap;";

		// CD8
		$this->CD8->CellCssStyle = "white-space: nowrap;";
		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// Id
		$this->Id->ViewValue = $this->Id->CurrentValue;
		$this->Id->ViewCustomAttributes = "";

		// Id_Registro
		if (strval($this->Id_Registro->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Id_Registro->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Primer_Nombre` AS `DispFld`, `Segundo_Nombre` AS `Disp2Fld`, `Primer_Apellido` AS `Disp3Fld`, `Numero_Identificacion` AS `Disp4Fld` FROM `registro`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Id_Registro, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$arwrk[2] = $rswrk->fields('Disp2Fld');
				$arwrk[3] = $rswrk->fields('Disp3Fld');
				$arwrk[4] = $rswrk->fields('Disp4Fld');
				$this->Id_Registro->ViewValue = $this->Id_Registro->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Id_Registro->ViewValue = $this->Id_Registro->CurrentValue;
			}
		} else {
			$this->Id_Registro->ViewValue = NULL;
		}
		$this->Id_Registro->ViewCustomAttributes = "";

		// Codigo_Eps
		$this->Codigo_Eps->ViewValue = $this->Codigo_Eps->CurrentValue;
		if (strval($this->Codigo_Eps->CurrentValue) <> "") {
			$sFilterWrk = "`Codigo`" . ew_SearchString("=", $this->Codigo_Eps->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Codigo`, `Codigo` AS `DispFld`, `Administradora_Salud` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `administradora_salud`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Codigo_Eps, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$arwrk[2] = $rswrk->fields('Disp2Fld');
				$this->Codigo_Eps->ViewValue = $this->Codigo_Eps->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Codigo_Eps->ViewValue = $this->Codigo_Eps->CurrentValue;
			}
		} else {
			$this->Codigo_Eps->ViewValue = NULL;
		}
		$this->Codigo_Eps->ViewCustomAttributes = "";

		// Tipo_regimen
		if (strval($this->Tipo_regimen->CurrentValue) <> "") {
			$sFilterWrk = "`Codigo_Regimen`" . ew_SearchString("=", $this->Tipo_regimen->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Codigo_Regimen`, `Regimen_Salud` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tipo_regimen_salud`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Tipo_regimen, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Tipo_regimen->ViewValue = $this->Tipo_regimen->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Tipo_regimen->ViewValue = $this->Tipo_regimen->CurrentValue;
			}
		} else {
			$this->Tipo_regimen->ViewValue = NULL;
		}
		$this->Tipo_regimen->ViewCustomAttributes = "";

		// Codigo_Ips
		$this->Codigo_Ips->ViewValue = $this->Codigo_Ips->CurrentValue;
		if (strval($this->Codigo_Ips->CurrentValue) <> "") {
			$sFilterWrk = "`Codigo_Upgd`" . ew_SearchString("=", $this->Codigo_Ips->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Codigo_Upgd`, `Codigo_Upgd` AS `DispFld`, `Upgd` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `entidad_upgd`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Codigo_Ips, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$arwrk[2] = $rswrk->fields('Disp2Fld');
				$this->Codigo_Ips->ViewValue = $this->Codigo_Ips->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Codigo_Ips->ViewValue = $this->Codigo_Ips->CurrentValue;
			}
		} else {
			$this->Codigo_Ips->ViewValue = NULL;
		}
		$this->Codigo_Ips->ViewCustomAttributes = "";

		// Fecha_Confirmatorio
		$this->Fecha_Confirmatorio->ViewValue = $this->Fecha_Confirmatorio->CurrentValue;
		$this->Fecha_Confirmatorio->ViewValue = ew_FormatDateTime($this->Fecha_Confirmatorio->ViewValue, 5);
		$this->Fecha_Confirmatorio->ViewCustomAttributes = "";

		// Escolaridad
		if (strval($this->Escolaridad->CurrentValue) <> "") {
			$sFilterWrk = "`Codigo`" . ew_SearchString("=", $this->Escolaridad->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Codigo`, `Nivel_Educativo` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `nivel_educativo`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Escolaridad, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Escolaridad->ViewValue = $this->Escolaridad->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Escolaridad->ViewValue = $this->Escolaridad->CurrentValue;
			}
		} else {
			$this->Escolaridad->ViewValue = NULL;
		}
		$this->Escolaridad->ViewCustomAttributes = "";

		// Estado_Civil
		if (strval($this->Estado_Civil->CurrentValue) <> "") {
			$sFilterWrk = "`Id`" . ew_SearchString("=", $this->Estado_Civil->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Id`, `Estado_Civil` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `estado_civil`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Estado_Civil, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Estado_Civil->ViewValue = $this->Estado_Civil->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Estado_Civil->ViewValue = $this->Estado_Civil->CurrentValue;
			}
		} else {
			$this->Estado_Civil->ViewValue = NULL;
		}
		$this->Estado_Civil->ViewCustomAttributes = "";

		// Fecha_Nacimiento
		$this->Fecha_Nacimiento->ViewValue = $this->Fecha_Nacimiento->CurrentValue;
		$this->Fecha_Nacimiento->ViewValue = ew_FormatDateTime($this->Fecha_Nacimiento->ViewValue, 5);
		$this->Fecha_Nacimiento->ViewCustomAttributes = "";

		// Estadio
		if (strval($this->Estadio->CurrentValue) <> "") {
			$sFilterWrk = "`Id`" . ew_SearchString("=", $this->Estadio->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Id`, `Estadio` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `estadio`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Estadio, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Estadio->ViewValue = $this->Estadio->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Estadio->ViewValue = $this->Estadio->CurrentValue;
			}
		} else {
			$this->Estadio->ViewValue = NULL;
		}
		$this->Estadio->ViewCustomAttributes = "";

		// Numero_Carga Viral
		if (strval($this->Numero_Carga_Viral->CurrentValue) <> "") {
			$sFilterWrk = "`Carga_viral`" . ew_SearchString("=", $this->Numero_Carga_Viral->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Carga_viral`, `Carga_viral` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `carga_viral`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Numero_Carga_Viral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Numero_Carga_Viral->ViewValue = $this->Numero_Carga_Viral->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Numero_Carga_Viral->ViewValue = $this->Numero_Carga_Viral->CurrentValue;
			}
		} else {
			$this->Numero_Carga_Viral->ViewValue = NULL;
		}
		$this->Numero_Carga_Viral->ViewCustomAttributes = "";

		// Fecha_Primera_Carga_Viral
		$this->Fecha_Primera_Carga_Viral->ViewValue = $this->Fecha_Primera_Carga_Viral->CurrentValue;
		$this->Fecha_Primera_Carga_Viral->ViewValue = ew_FormatDateTime($this->Fecha_Primera_Carga_Viral->ViewValue, 5);
		$this->Fecha_Primera_Carga_Viral->ViewCustomAttributes = "";

		// CD4
		$this->CD4->ViewValue = $this->CD4->CurrentValue;
		$this->CD4->ViewCustomAttributes = "";

		// Fecha_CD4
		$this->Fecha_CD4->ViewValue = $this->Fecha_CD4->CurrentValue;
		$this->Fecha_CD4->ViewValue = ew_FormatDateTime($this->Fecha_CD4->ViewValue, 5);
		$this->Fecha_CD4->ViewCustomAttributes = "";

		// adherencia
		if (strval($this->adherencia->CurrentValue) <> "") {
			$sFilterWrk = "`id`" . ew_SearchString("=", $this->adherencia->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `id`, `adherencia` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `adherencia`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->adherencia, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->adherencia->ViewValue = $this->adherencia->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->adherencia->ViewValue = $this->adherencia->CurrentValue;
			}
		} else {
			$this->adherencia->ViewValue = NULL;
		}
		$this->adherencia->ViewCustomAttributes = "";

		// Tratamiento_Antirretroviral
		if (strval($this->Tratamiento_Antirretroviral->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Tratamiento_Antirretroviral->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Si_No` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `si_no`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Tratamiento_Antirretroviral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Tratamiento_Antirretroviral->ViewValue = $this->Tratamiento_Antirretroviral->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Tratamiento_Antirretroviral->ViewValue = $this->Tratamiento_Antirretroviral->CurrentValue;
			}
		} else {
			$this->Tratamiento_Antirretroviral->ViewValue = NULL;
		}
		$this->Tratamiento_Antirretroviral->ViewCustomAttributes = "";

		// Descripcion_antirretroviral
		if (strval($this->Descripcion_antirretroviral->CurrentValue) <> "") {
			$arwrk = explode(",", $this->Descripcion_antirretroviral->CurrentValue);
			$sFilterWrk = "";
			foreach ($arwrk as $wrk) {
				if ($sFilterWrk <> "") $sFilterWrk .= " OR ";
				$sFilterWrk .= "`Id`" . ew_SearchString("=", trim($wrk), EW_DATATYPE_NUMBER, "");
			}
		$sSqlWrk = "SELECT `Id`, `Medicamentos` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `medicamentos_antiretrovirales`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Descripcion_antirretroviral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->Descripcion_antirretroviral->ViewValue = "";
				$ari = 0;
				while (!$rswrk->EOF) {
					$arwrk = array();
					$arwrk[1] = $rswrk->fields('DispFld');
					$this->Descripcion_antirretroviral->ViewValue .= $this->Descripcion_antirretroviral->DisplayValue($arwrk);
					$rswrk->MoveNext();
					if (!$rswrk->EOF) $this->Descripcion_antirretroviral->ViewValue .= ew_ViewOptionSeparator($ari); // Separate Options
					$ari++;
				}
				$rswrk->Close();
			} else {
				$this->Descripcion_antirretroviral->ViewValue = $this->Descripcion_antirretroviral->CurrentValue;
			}
		} else {
			$this->Descripcion_antirretroviral->ViewValue = NULL;
		}
		$this->Descripcion_antirretroviral->ViewCustomAttributes = "";

		// Cambio_Esquema
		if (strval($this->Cambio_Esquema->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Cambio_Esquema->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Si_No` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `si_no`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Cambio_Esquema, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Cambio_Esquema->ViewValue = $this->Cambio_Esquema->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Cambio_Esquema->ViewValue = $this->Cambio_Esquema->CurrentValue;
			}
		} else {
			$this->Cambio_Esquema->ViewValue = NULL;
		}
		$this->Cambio_Esquema->ViewCustomAttributes = "";

		// Porque_No_Antirretroviral
		if (strval($this->Porque_No_Antirretroviral->CurrentValue) <> "") {
			$this->Porque_No_Antirretroviral->ViewValue = $this->Porque_No_Antirretroviral->OptionCaption($this->Porque_No_Antirretroviral->CurrentValue);
		} else {
			$this->Porque_No_Antirretroviral->ViewValue = NULL;
		}
		$this->Porque_No_Antirretroviral->ViewCustomAttributes = "";

		// Porque_no_adherente
		if (strval($this->Porque_no_adherente->CurrentValue) <> "") {
			$this->Porque_no_adherente->ViewValue = $this->Porque_no_adherente->OptionCaption($this->Porque_no_adherente->CurrentValue);
		} else {
			$this->Porque_no_adherente->ViewValue = NULL;
		}
		$this->Porque_no_adherente->ViewCustomAttributes = "";

		// Valor_ultima_cargaviral
		if (strval($this->Valor_ultima_cargaviral->CurrentValue) <> "") {
			$sFilterWrk = "`Carga_viral`" . ew_SearchString("=", $this->Valor_ultima_cargaviral->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Carga_viral`, `Carga_viral` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `carga_viral`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Valor_ultima_cargaviral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Valor_ultima_cargaviral->ViewValue = $this->Valor_ultima_cargaviral->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Valor_ultima_cargaviral->ViewValue = $this->Valor_ultima_cargaviral->CurrentValue;
			}
		} else {
			$this->Valor_ultima_cargaviral->ViewValue = NULL;
		}
		$this->Valor_ultima_cargaviral->ViewCustomAttributes = "";

		// Fecha_Ultima_Cargaviral
		$this->Fecha_Ultima_Cargaviral->ViewValue = $this->Fecha_Ultima_Cargaviral->CurrentValue;
		$this->Fecha_Ultima_Cargaviral->ViewValue = ew_FormatDateTime($this->Fecha_Ultima_Cargaviral->ViewValue, 5);
		$this->Fecha_Ultima_Cargaviral->ViewCustomAttributes = "";

		// Estado_Final
		if (strval($this->Estado_Final->CurrentValue) <> "") {
			$this->Estado_Final->ViewValue = $this->Estado_Final->OptionCaption($this->Estado_Final->CurrentValue);
		} else {
			$this->Estado_Final->ViewValue = NULL;
		}
		$this->Estado_Final->ViewCustomAttributes = "";

		// Cambio_Municipio
		if (strval($this->Cambio_Municipio->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Cambio_Municipio->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Si_No` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `si_no`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Cambio_Municipio, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Cambio_Municipio->ViewValue = $this->Cambio_Municipio->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Cambio_Municipio->ViewValue = $this->Cambio_Municipio->CurrentValue;
			}
		} else {
			$this->Cambio_Municipio->ViewValue = NULL;
		}
		$this->Cambio_Municipio->ViewCustomAttributes = "";

		// Observaciones
		$this->Observaciones->ViewValue = $this->Observaciones->CurrentValue;
		$this->Observaciones->ViewCustomAttributes = "";

		// Primer_Nombre
		$this->Primer_Nombre->ViewValue = $this->Primer_Nombre->CurrentValue;
		$this->Primer_Nombre->ViewCustomAttributes = "";

		// Segundo_Nombre
		$this->Segundo_Nombre->ViewValue = $this->Segundo_Nombre->CurrentValue;
		$this->Segundo_Nombre->ViewCustomAttributes = "";

		// Primer_Apellido
		$this->Primer_Apellido->ViewValue = $this->Primer_Apellido->CurrentValue;
		$this->Primer_Apellido->ViewCustomAttributes = "";

		// Segundo_Apellido
		$this->Segundo_Apellido->ViewValue = $this->Segundo_Apellido->CurrentValue;
		$this->Segundo_Apellido->ViewCustomAttributes = "";

		// Registrado_Por
		$this->Registrado_Por->ViewValue = $this->Registrado_Por->CurrentValue;
		$this->Registrado_Por->ViewCustomAttributes = "";

		// Documento
		$this->Documento->ViewValue = $this->Documento->CurrentValue;
		$this->Documento->ViewCustomAttributes = "";

		// Fecha_dig
		$this->Fecha_dig->ViewValue = $this->Fecha_dig->CurrentValue;
		$this->Fecha_dig->ViewValue = ew_FormatDateTime($this->Fecha_dig->ViewValue, 5);
		$this->Fecha_dig->ViewCustomAttributes = "";

			// Id
			$this->Id->LinkCustomAttributes = "";
			$this->Id->HrefValue = "";
			$this->Id->TooltipValue = "";

			// Id_Registro
			$this->Id_Registro->LinkCustomAttributes = "";
			$this->Id_Registro->HrefValue = "";
			$this->Id_Registro->TooltipValue = "";

			// Codigo_Eps
			$this->Codigo_Eps->LinkCustomAttributes = "";
			$this->Codigo_Eps->HrefValue = "";
			$this->Codigo_Eps->TooltipValue = "";

			// Tipo_regimen
			$this->Tipo_regimen->LinkCustomAttributes = "";
			$this->Tipo_regimen->HrefValue = "";
			$this->Tipo_regimen->TooltipValue = "";

			// Codigo_Ips
			$this->Codigo_Ips->LinkCustomAttributes = "";
			$this->Codigo_Ips->HrefValue = "";
			$this->Codigo_Ips->TooltipValue = "";

			// Fecha_Confirmatorio
			$this->Fecha_Confirmatorio->LinkCustomAttributes = "";
			$this->Fecha_Confirmatorio->HrefValue = "";
			$this->Fecha_Confirmatorio->TooltipValue = "";

			// Estadio
			$this->Estadio->LinkCustomAttributes = "";
			$this->Estadio->HrefValue = "";
			$this->Estadio->TooltipValue = "";

			// Numero_Carga Viral
			$this->Numero_Carga_Viral->LinkCustomAttributes = "";
			$this->Numero_Carga_Viral->HrefValue = "";
			$this->Numero_Carga_Viral->TooltipValue = "";

			// Fecha_Primera_Carga_Viral
			$this->Fecha_Primera_Carga_Viral->LinkCustomAttributes = "";
			$this->Fecha_Primera_Carga_Viral->HrefValue = "";
			$this->Fecha_Primera_Carga_Viral->TooltipValue = "";

			// CD4
			$this->CD4->LinkCustomAttributes = "";
			$this->CD4->HrefValue = "";
			$this->CD4->TooltipValue = "";

			// Fecha_CD4
			$this->Fecha_CD4->LinkCustomAttributes = "";
			$this->Fecha_CD4->HrefValue = "";
			$this->Fecha_CD4->TooltipValue = "";

			// adherencia
			$this->adherencia->LinkCustomAttributes = "";
			$this->adherencia->HrefValue = "";
			$this->adherencia->TooltipValue = "";

			// Tratamiento_Antirretroviral
			$this->Tratamiento_Antirretroviral->LinkCustomAttributes = "";
			$this->Tratamiento_Antirretroviral->HrefValue = "";
			$this->Tratamiento_Antirretroviral->TooltipValue = "";

			// Porque_No_Antirretroviral
			$this->Porque_No_Antirretroviral->LinkCustomAttributes = "";
			$this->Porque_No_Antirretroviral->HrefValue = "";
			$this->Porque_No_Antirretroviral->TooltipValue = "";

			// Porque_no_adherente
			$this->Porque_no_adherente->LinkCustomAttributes = "";
			$this->Porque_no_adherente->HrefValue = "";
			$this->Porque_no_adherente->TooltipValue = "";

			// Valor_ultima_cargaviral
			$this->Valor_ultima_cargaviral->LinkCustomAttributes = "";
			$this->Valor_ultima_cargaviral->HrefValue = "";
			$this->Valor_ultima_cargaviral->TooltipValue = "";

			// Fecha_Ultima_Cargaviral
			$this->Fecha_Ultima_Cargaviral->LinkCustomAttributes = "";
			$this->Fecha_Ultima_Cargaviral->HrefValue = "";
			$this->Fecha_Ultima_Cargaviral->TooltipValue = "";

			// Estado_Final
			$this->Estado_Final->LinkCustomAttributes = "";
			$this->Estado_Final->HrefValue = "";
			$this->Estado_Final->TooltipValue = "";

			// Cambio_Municipio
			$this->Cambio_Municipio->LinkCustomAttributes = "";
			$this->Cambio_Municipio->HrefValue = "";
			$this->Cambio_Municipio->TooltipValue = "";

			// Fecha_dig
			$this->Fecha_dig->LinkCustomAttributes = "";
			$this->Fecha_dig->HrefValue = "";
			$this->Fecha_dig->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	//
	// Delete records based on current filter
	//
	function DeleteRows() {
		global $Language, $Security;
		if (!$Security->CanDelete()) {
			$this->setFailureMessage($Language->Phrase("NoDeletePermission")); // No delete permission
			return FALSE;
		}
		$DeleteRows = TRUE;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE) {
			return FALSE;
		} elseif ($rs->EOF) {
			$this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
			$rs->Close();
			return FALSE;

		//} else {
		//	$this->LoadRowValues($rs); // Load row values

		}
		$rows = ($rs) ? $rs->GetRows() : array();
		$conn->BeginTrans();

		// Clone old rows
		$rsold = $rows;
		if ($rs)
			$rs->Close();

		// Call row deleting event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$DeleteRows = $this->Row_Deleting($row);
				if (!$DeleteRows) break;
			}
		}
		if ($DeleteRows) {
			$sKey = "";
			foreach ($rsold as $row) {
				$sThisKey = "";
				if ($sThisKey <> "") $sThisKey .= $GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"];
				$sThisKey .= $row['Id'];
				$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
				$DeleteRows = $this->Delete($row); // Delete
				$conn->raiseErrorFn = '';
				if ($DeleteRows === FALSE)
					break;
				if ($sKey <> "") $sKey .= ", ";
				$sKey .= $sThisKey;
			}
		} else {

			// Set up error message
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("DeleteCancelled"));
			}
		}
		if ($DeleteRows) {
			$conn->CommitTrans(); // Commit the changes
		} else {
			$conn->RollbackTrans(); // Rollback changes
		}

		// Call Row Deleted event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$this->Row_Deleted($row);
			}
		}
		return $DeleteRows;
	}

	// Set up master/detail based on QueryString
	function SetUpMasterParms() {
		$bValidMaster = FALSE;

		// Get the keys for master table
		if (isset($_GET[EW_TABLE_SHOW_MASTER])) {
			$sMasterTblVar = $_GET[EW_TABLE_SHOW_MASTER];
			if ($sMasterTblVar == "") {
				$bValidMaster = TRUE;
				$this->DbMasterFilter = "";
				$this->DbDetailFilter = "";
			}
			if ($sMasterTblVar == "registro") {
				$bValidMaster = TRUE;
				if (@$_GET["fk_Consecutivo"] <> "") {
					$GLOBALS["registro"]->Consecutivo->setQueryStringValue($_GET["fk_Consecutivo"]);
					$this->Id_Registro->setQueryStringValue($GLOBALS["registro"]->Consecutivo->QueryStringValue);
					$this->Id_Registro->setSessionValue($this->Id_Registro->QueryStringValue);
					if (!is_numeric($GLOBALS["registro"]->Consecutivo->QueryStringValue)) $bValidMaster = FALSE;
				} else {
					$bValidMaster = FALSE;
				}
			}
		} elseif (isset($_POST[EW_TABLE_SHOW_MASTER])) {
			$sMasterTblVar = $_POST[EW_TABLE_SHOW_MASTER];
			if ($sMasterTblVar == "") {
				$bValidMaster = TRUE;
				$this->DbMasterFilter = "";
				$this->DbDetailFilter = "";
			}
			if ($sMasterTblVar == "registro") {
				$bValidMaster = TRUE;
				if (@$_POST["fk_Consecutivo"] <> "") {
					$GLOBALS["registro"]->Consecutivo->setFormValue($_POST["fk_Consecutivo"]);
					$this->Id_Registro->setFormValue($GLOBALS["registro"]->Consecutivo->FormValue);
					$this->Id_Registro->setSessionValue($this->Id_Registro->FormValue);
					if (!is_numeric($GLOBALS["registro"]->Consecutivo->FormValue)) $bValidMaster = FALSE;
				} else {
					$bValidMaster = FALSE;
				}
			}
		}
		if ($bValidMaster) {

			// Save current master table
			$this->setCurrentMasterTable($sMasterTblVar);

			// Reset start record counter (new master key)
			$this->StartRec = 1;
			$this->setStartRecordNumber($this->StartRec);

			// Clear previous master key from Session
			if ($sMasterTblVar <> "registro") {
				if ($this->Id_Registro->CurrentValue == "") $this->Id_Registro->setSessionValue("");
			}
		}
		$this->DbMasterFilter = $this->GetMasterFilter(); // Get master filter
		$this->DbDetailFilter = $this->GetDetailFilter(); // Get detail filter
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("seguimiento_individual3list.php"), "", $this->TableVar, TRUE);
		$PageId = "delete";
		$Breadcrumb->Add("delete", $PageId, $url);
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($seguimiento_individual3_delete)) $seguimiento_individual3_delete = new cseguimiento_individual3_delete();

// Page init
$seguimiento_individual3_delete->Page_Init();

// Page main
$seguimiento_individual3_delete->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$seguimiento_individual3_delete->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "delete";
var CurrentForm = fseguimiento_individual3delete = new ew_Form("fseguimiento_individual3delete", "delete");

// Form_CustomValidate event
fseguimiento_individual3delete.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
fseguimiento_individual3delete.ValidateRequired = true;
<?php } else { ?>
fseguimiento_individual3delete.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
fseguimiento_individual3delete.Lists["x_Id_Registro"] = {"LinkField":"x_Consecutivo","Ajax":true,"AutoFill":false,"DisplayFields":["x_Primer_Nombre","x_Segundo_Nombre","x_Primer_Apellido","x_Numero_Identificacion"],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_individual3delete.Lists["x_Codigo_Eps"] = {"LinkField":"x_Codigo","Ajax":true,"AutoFill":false,"DisplayFields":["x_Codigo","x_Administradora_Salud","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_individual3delete.Lists["x_Tipo_regimen"] = {"LinkField":"x_Codigo_Regimen","Ajax":true,"AutoFill":false,"DisplayFields":["x_Regimen_Salud","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_individual3delete.Lists["x_Codigo_Ips"] = {"LinkField":"x_Codigo_Upgd","Ajax":true,"AutoFill":false,"DisplayFields":["x_Codigo_Upgd","x_Upgd","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_individual3delete.Lists["x_Estadio"] = {"LinkField":"x_Id","Ajax":true,"AutoFill":false,"DisplayFields":["x_Estadio","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_individual3delete.Lists["x_Numero_Carga_Viral"] = {"LinkField":"x_Carga_viral","Ajax":true,"AutoFill":false,"DisplayFields":["x_Carga_viral","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_individual3delete.Lists["x_adherencia"] = {"LinkField":"x_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_adherencia","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_individual3delete.Lists["x_Tratamiento_Antirretroviral"] = {"LinkField":"x_Consecutivo","Ajax":true,"AutoFill":false,"DisplayFields":["x_Si_No","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_individual3delete.Lists["x_Porque_No_Antirretroviral"] = {"LinkField":"","Ajax":null,"AutoFill":false,"DisplayFields":["","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_individual3delete.Lists["x_Porque_No_Antirretroviral"].Options = <?php echo json_encode($seguimiento_individual3->Porque_No_Antirretroviral->Options()) ?>;
fseguimiento_individual3delete.Lists["x_Porque_no_adherente"] = {"LinkField":"","Ajax":null,"AutoFill":false,"DisplayFields":["","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_individual3delete.Lists["x_Porque_no_adherente"].Options = <?php echo json_encode($seguimiento_individual3->Porque_no_adherente->Options()) ?>;
fseguimiento_individual3delete.Lists["x_Valor_ultima_cargaviral"] = {"LinkField":"x_Carga_viral","Ajax":true,"AutoFill":false,"DisplayFields":["x_Carga_viral","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_individual3delete.Lists["x_Estado_Final"] = {"LinkField":"","Ajax":null,"AutoFill":false,"DisplayFields":["","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fseguimiento_individual3delete.Lists["x_Estado_Final"].Options = <?php echo json_encode($seguimiento_individual3->Estado_Final->Options()) ?>;
fseguimiento_individual3delete.Lists["x_Cambio_Municipio"] = {"LinkField":"x_Consecutivo","Ajax":true,"AutoFill":false,"DisplayFields":["x_Si_No","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<div class="ewToolbar">
<?php $Breadcrumb->Render(); ?>
<?php echo $Language->SelectionForm(); ?>
<div class="clearfix"></div>
</div>
<?php $seguimiento_individual3_delete->ShowPageHeader(); ?>
<?php
$seguimiento_individual3_delete->ShowMessage();
?>
<form name="fseguimiento_individual3delete" id="fseguimiento_individual3delete" class="form-inline ewForm ewDeleteForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($seguimiento_individual3_delete->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $seguimiento_individual3_delete->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="seguimiento_individual3">
<input type="hidden" name="a_delete" id="a_delete" value="D">
<?php foreach ($seguimiento_individual3_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode($EW_COMPOSITE_KEY_SEPARATOR, $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo ew_HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="ewGrid">
<div class="<?php if (ew_IsResponsiveLayout()) { echo "table-responsive "; } ?>ewGridMiddlePanel">
<table class="table ewTable">
<?php echo $seguimiento_individual3->TableCustomInnerHtml ?>
	<thead>
	<tr class="ewTableHeader">
<?php if ($seguimiento_individual3->Id->Visible) { // Id ?>
		<th><span id="elh_seguimiento_individual3_Id" class="seguimiento_individual3_Id"><?php echo $seguimiento_individual3->Id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->Id_Registro->Visible) { // Id_Registro ?>
		<th><span id="elh_seguimiento_individual3_Id_Registro" class="seguimiento_individual3_Id_Registro"><?php echo $seguimiento_individual3->Id_Registro->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->Codigo_Eps->Visible) { // Codigo_Eps ?>
		<th><span id="elh_seguimiento_individual3_Codigo_Eps" class="seguimiento_individual3_Codigo_Eps"><?php echo $seguimiento_individual3->Codigo_Eps->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->Tipo_regimen->Visible) { // Tipo_regimen ?>
		<th><span id="elh_seguimiento_individual3_Tipo_regimen" class="seguimiento_individual3_Tipo_regimen"><?php echo $seguimiento_individual3->Tipo_regimen->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->Codigo_Ips->Visible) { // Codigo_Ips ?>
		<th><span id="elh_seguimiento_individual3_Codigo_Ips" class="seguimiento_individual3_Codigo_Ips"><?php echo $seguimiento_individual3->Codigo_Ips->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->Fecha_Confirmatorio->Visible) { // Fecha_Confirmatorio ?>
		<th><span id="elh_seguimiento_individual3_Fecha_Confirmatorio" class="seguimiento_individual3_Fecha_Confirmatorio"><?php echo $seguimiento_individual3->Fecha_Confirmatorio->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->Estadio->Visible) { // Estadio ?>
		<th><span id="elh_seguimiento_individual3_Estadio" class="seguimiento_individual3_Estadio"><?php echo $seguimiento_individual3->Estadio->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->Numero_Carga_Viral->Visible) { // Numero_Carga Viral ?>
		<th><span id="elh_seguimiento_individual3_Numero_Carga_Viral" class="seguimiento_individual3_Numero_Carga_Viral"><?php echo $seguimiento_individual3->Numero_Carga_Viral->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->Fecha_Primera_Carga_Viral->Visible) { // Fecha_Primera_Carga_Viral ?>
		<th><span id="elh_seguimiento_individual3_Fecha_Primera_Carga_Viral" class="seguimiento_individual3_Fecha_Primera_Carga_Viral"><?php echo $seguimiento_individual3->Fecha_Primera_Carga_Viral->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->CD4->Visible) { // CD4 ?>
		<th><span id="elh_seguimiento_individual3_CD4" class="seguimiento_individual3_CD4"><?php echo $seguimiento_individual3->CD4->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->Fecha_CD4->Visible) { // Fecha_CD4 ?>
		<th><span id="elh_seguimiento_individual3_Fecha_CD4" class="seguimiento_individual3_Fecha_CD4"><?php echo $seguimiento_individual3->Fecha_CD4->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->adherencia->Visible) { // adherencia ?>
		<th><span id="elh_seguimiento_individual3_adherencia" class="seguimiento_individual3_adherencia"><?php echo $seguimiento_individual3->adherencia->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->Tratamiento_Antirretroviral->Visible) { // Tratamiento_Antirretroviral ?>
		<th><span id="elh_seguimiento_individual3_Tratamiento_Antirretroviral" class="seguimiento_individual3_Tratamiento_Antirretroviral"><?php echo $seguimiento_individual3->Tratamiento_Antirretroviral->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->Porque_No_Antirretroviral->Visible) { // Porque_No_Antirretroviral ?>
		<th><span id="elh_seguimiento_individual3_Porque_No_Antirretroviral" class="seguimiento_individual3_Porque_No_Antirretroviral"><?php echo $seguimiento_individual3->Porque_No_Antirretroviral->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->Porque_no_adherente->Visible) { // Porque_no_adherente ?>
		<th><span id="elh_seguimiento_individual3_Porque_no_adherente" class="seguimiento_individual3_Porque_no_adherente"><?php echo $seguimiento_individual3->Porque_no_adherente->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->Valor_ultima_cargaviral->Visible) { // Valor_ultima_cargaviral ?>
		<th><span id="elh_seguimiento_individual3_Valor_ultima_cargaviral" class="seguimiento_individual3_Valor_ultima_cargaviral"><?php echo $seguimiento_individual3->Valor_ultima_cargaviral->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->Fecha_Ultima_Cargaviral->Visible) { // Fecha_Ultima_Cargaviral ?>
		<th><span id="elh_seguimiento_individual3_Fecha_Ultima_Cargaviral" class="seguimiento_individual3_Fecha_Ultima_Cargaviral"><?php echo $seguimiento_individual3->Fecha_Ultima_Cargaviral->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->Estado_Final->Visible) { // Estado_Final ?>
		<th><span id="elh_seguimiento_individual3_Estado_Final" class="seguimiento_individual3_Estado_Final"><?php echo $seguimiento_individual3->Estado_Final->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->Cambio_Municipio->Visible) { // Cambio_Municipio ?>
		<th><span id="elh_seguimiento_individual3_Cambio_Municipio" class="seguimiento_individual3_Cambio_Municipio"><?php echo $seguimiento_individual3->Cambio_Municipio->FldCaption() ?></span></th>
<?php } ?>
<?php if ($seguimiento_individual3->Fecha_dig->Visible) { // Fecha_dig ?>
		<th><span id="elh_seguimiento_individual3_Fecha_dig" class="seguimiento_individual3_Fecha_dig"><?php echo $seguimiento_individual3->Fecha_dig->FldCaption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$seguimiento_individual3_delete->RecCnt = 0;
$i = 0;
while (!$seguimiento_individual3_delete->Recordset->EOF) {
	$seguimiento_individual3_delete->RecCnt++;
	$seguimiento_individual3_delete->RowCnt++;

	// Set row properties
	$seguimiento_individual3->ResetAttrs();
	$seguimiento_individual3->RowType = EW_ROWTYPE_VIEW; // View

	// Get the field contents
	$seguimiento_individual3_delete->LoadRowValues($seguimiento_individual3_delete->Recordset);

	// Render row
	$seguimiento_individual3_delete->RenderRow();
?>
	<tr<?php echo $seguimiento_individual3->RowAttributes() ?>>
<?php if ($seguimiento_individual3->Id->Visible) { // Id ?>
		<td<?php echo $seguimiento_individual3->Id->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Id" class="seguimiento_individual3_Id">
<span<?php echo $seguimiento_individual3->Id->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->Id_Registro->Visible) { // Id_Registro ?>
		<td<?php echo $seguimiento_individual3->Id_Registro->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Id_Registro" class="seguimiento_individual3_Id_Registro">
<span<?php echo $seguimiento_individual3->Id_Registro->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Id_Registro->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->Codigo_Eps->Visible) { // Codigo_Eps ?>
		<td<?php echo $seguimiento_individual3->Codigo_Eps->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Codigo_Eps" class="seguimiento_individual3_Codigo_Eps">
<span<?php echo $seguimiento_individual3->Codigo_Eps->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Codigo_Eps->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->Tipo_regimen->Visible) { // Tipo_regimen ?>
		<td<?php echo $seguimiento_individual3->Tipo_regimen->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Tipo_regimen" class="seguimiento_individual3_Tipo_regimen">
<span<?php echo $seguimiento_individual3->Tipo_regimen->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Tipo_regimen->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->Codigo_Ips->Visible) { // Codigo_Ips ?>
		<td<?php echo $seguimiento_individual3->Codigo_Ips->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Codigo_Ips" class="seguimiento_individual3_Codigo_Ips">
<span<?php echo $seguimiento_individual3->Codigo_Ips->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Codigo_Ips->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->Fecha_Confirmatorio->Visible) { // Fecha_Confirmatorio ?>
		<td<?php echo $seguimiento_individual3->Fecha_Confirmatorio->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Fecha_Confirmatorio" class="seguimiento_individual3_Fecha_Confirmatorio">
<span<?php echo $seguimiento_individual3->Fecha_Confirmatorio->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Fecha_Confirmatorio->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->Estadio->Visible) { // Estadio ?>
		<td<?php echo $seguimiento_individual3->Estadio->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Estadio" class="seguimiento_individual3_Estadio">
<span<?php echo $seguimiento_individual3->Estadio->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Estadio->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->Numero_Carga_Viral->Visible) { // Numero_Carga Viral ?>
		<td<?php echo $seguimiento_individual3->Numero_Carga_Viral->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Numero_Carga_Viral" class="seguimiento_individual3_Numero_Carga_Viral">
<span<?php echo $seguimiento_individual3->Numero_Carga_Viral->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Numero_Carga_Viral->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->Fecha_Primera_Carga_Viral->Visible) { // Fecha_Primera_Carga_Viral ?>
		<td<?php echo $seguimiento_individual3->Fecha_Primera_Carga_Viral->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Fecha_Primera_Carga_Viral" class="seguimiento_individual3_Fecha_Primera_Carga_Viral">
<span<?php echo $seguimiento_individual3->Fecha_Primera_Carga_Viral->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Fecha_Primera_Carga_Viral->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->CD4->Visible) { // CD4 ?>
		<td<?php echo $seguimiento_individual3->CD4->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_CD4" class="seguimiento_individual3_CD4">
<span<?php echo $seguimiento_individual3->CD4->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->CD4->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->Fecha_CD4->Visible) { // Fecha_CD4 ?>
		<td<?php echo $seguimiento_individual3->Fecha_CD4->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Fecha_CD4" class="seguimiento_individual3_Fecha_CD4">
<span<?php echo $seguimiento_individual3->Fecha_CD4->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Fecha_CD4->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->adherencia->Visible) { // adherencia ?>
		<td<?php echo $seguimiento_individual3->adherencia->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_adherencia" class="seguimiento_individual3_adherencia">
<span<?php echo $seguimiento_individual3->adherencia->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->adherencia->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->Tratamiento_Antirretroviral->Visible) { // Tratamiento_Antirretroviral ?>
		<td<?php echo $seguimiento_individual3->Tratamiento_Antirretroviral->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Tratamiento_Antirretroviral" class="seguimiento_individual3_Tratamiento_Antirretroviral">
<span<?php echo $seguimiento_individual3->Tratamiento_Antirretroviral->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Tratamiento_Antirretroviral->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->Porque_No_Antirretroviral->Visible) { // Porque_No_Antirretroviral ?>
		<td<?php echo $seguimiento_individual3->Porque_No_Antirretroviral->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Porque_No_Antirretroviral" class="seguimiento_individual3_Porque_No_Antirretroviral">
<span<?php echo $seguimiento_individual3->Porque_No_Antirretroviral->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Porque_No_Antirretroviral->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->Porque_no_adherente->Visible) { // Porque_no_adherente ?>
		<td<?php echo $seguimiento_individual3->Porque_no_adherente->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Porque_no_adherente" class="seguimiento_individual3_Porque_no_adherente">
<span<?php echo $seguimiento_individual3->Porque_no_adherente->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Porque_no_adherente->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->Valor_ultima_cargaviral->Visible) { // Valor_ultima_cargaviral ?>
		<td<?php echo $seguimiento_individual3->Valor_ultima_cargaviral->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Valor_ultima_cargaviral" class="seguimiento_individual3_Valor_ultima_cargaviral">
<span<?php echo $seguimiento_individual3->Valor_ultima_cargaviral->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Valor_ultima_cargaviral->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->Fecha_Ultima_Cargaviral->Visible) { // Fecha_Ultima_Cargaviral ?>
		<td<?php echo $seguimiento_individual3->Fecha_Ultima_Cargaviral->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Fecha_Ultima_Cargaviral" class="seguimiento_individual3_Fecha_Ultima_Cargaviral">
<span<?php echo $seguimiento_individual3->Fecha_Ultima_Cargaviral->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Fecha_Ultima_Cargaviral->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->Estado_Final->Visible) { // Estado_Final ?>
		<td<?php echo $seguimiento_individual3->Estado_Final->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Estado_Final" class="seguimiento_individual3_Estado_Final">
<span<?php echo $seguimiento_individual3->Estado_Final->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Estado_Final->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->Cambio_Municipio->Visible) { // Cambio_Municipio ?>
		<td<?php echo $seguimiento_individual3->Cambio_Municipio->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Cambio_Municipio" class="seguimiento_individual3_Cambio_Municipio">
<span<?php echo $seguimiento_individual3->Cambio_Municipio->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Cambio_Municipio->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($seguimiento_individual3->Fecha_dig->Visible) { // Fecha_dig ?>
		<td<?php echo $seguimiento_individual3->Fecha_dig->CellAttributes() ?>>
<span id="el<?php echo $seguimiento_individual3_delete->RowCnt ?>_seguimiento_individual3_Fecha_dig" class="seguimiento_individual3_Fecha_dig">
<span<?php echo $seguimiento_individual3->Fecha_dig->ViewAttributes() ?>>
<?php echo $seguimiento_individual3->Fecha_dig->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$seguimiento_individual3_delete->Recordset->MoveNext();
}
$seguimiento_individual3_delete->Recordset->Close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ewButton" name="btnAction" id="btnAction" type="submit"><?php echo $Language->Phrase("DeleteBtn") ?></button>
<button class="btn btn-default ewButton" name="btnCancel" id="btnCancel" type="button" data-href="<?php echo $seguimiento_individual3_delete->getReturnUrl() ?>"><?php echo $Language->Phrase("CancelBtn") ?></button>
</div>
</form>
<script type="text/javascript">
fseguimiento_individual3delete.Init();
</script>
<?php
$seguimiento_individual3_delete->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$seguimiento_individual3_delete->Page_Terminate();
?>
